diff -uwr source/scripts/VehicleGameObj.h 4.0/source/scripts/VehicleGameObj.h
--- source/scripts/VehicleGameObj.h	2011-05-10 07:46:14.000000000 +0800
+++ 4.0/source/scripts/VehicleGameObj.h	2011-10-13 16:09:05.123046800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT__VEHICLEGAMEOBJ_H
 #define TT__VEHICLEGAMEOBJ_H
 
@@ -50,7 +61,7 @@
 	void	Add_Occupant( SoldierGameObj * occupant );
 	void	Remove_Occupant( SoldierGameObj * occupant );
 	bool	Contains_Occupant( SoldierGameObj * occupant );
-	int	Get_Occupant_Count(void);
+	int	SCRIPTS_API Get_Occupant_Count(void);
 	int	Find_Seat( SoldierGameObj * occupant );
 	SoldierGameObj * Get_Driver(void);
 	SoldierGameObj * Get_Gunner(void);
@@ -103,6 +114,7 @@
 	void					Unignore_Occupants( void );
 	SoldierGameObj *Get_Occupant(int seat) {return SeatOccupants[seat];}
 	void Set_Is_Scripts_Visible(bool b) {SCRIPTS_visible = b;}
+	bool Get_Is_Scripts_Visible() {return SCRIPTS_visible;}
 	void Set_Scripts_Last_Team(char c) {SCRIPTS_LastTeam = c;}
 	void Set_Scripts_Can_Fire(bool b) {SCRIPTS_CanFire = b;Set_Object_Dirty_Bit(NetworkObjectClass::BIT_FREQUENT,true);}
 	bool Get_Scripts_Can_Fire() { return SCRIPTS_CanFire; };
diff -uwr source/scripts/VehicleGameObjDef.h 4.0/source/scripts/VehicleGameObjDef.h
--- source/scripts/VehicleGameObjDef.h	2009-12-24 19:44:56.000000000 +0800
+++ 4.0/source/scripts/VehicleGameObjDef.h	2011-10-11 21:40:51.412109300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__VEHICLEGAMEOBJDEF_H
 #define TT_INCLUDE__VEHICLEGAMEOBJDEF_H
 
diff -uwr source/scripts/VisTableMgrClass.h 4.0/source/scripts/VisTableMgrClass.h
--- source/scripts/VisTableMgrClass.h	2011-06-18 17:30:38.000000000 +0800
+++ 4.0/source/scripts/VisTableMgrClass.h	2011-10-11 21:40:48.940429600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__VISTABLEMGRCLASS_H
 #define TT_INCLUDE__VISTABLEMGRCLASS_H
 
diff -uwr source/scripts/WWAudioClass.h 4.0/source/scripts/WWAudioClass.h
--- source/scripts/WWAudioClass.h	2011-06-09 16:50:34.000000000 +0800
+++ 4.0/source/scripts/WWAudioClass.h	2011-10-13 00:01:56.224609300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef __WWAUDIOCLASS_H__
 #define __WWAUDIOCLASS_H__
 #include "engine_common.h"
diff -uwr source/scripts/WarFactoryGameObj.h 4.0/source/scripts/WarFactoryGameObj.h
--- source/scripts/WarFactoryGameObj.h	2009-11-09 18:57:52.000000000 +0800
+++ 4.0/source/scripts/WarFactoryGameObj.h	2011-10-11 21:40:43.303710900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__WARFACTORYGAMEOBJ_H
 #define TT_INCLUDE__WARFACTORYGAMEOBJ_H
 
diff -uwr source/scripts/WarFactoryGameObjDef.h 4.0/source/scripts/WarFactoryGameObjDef.h
--- source/scripts/WarFactoryGameObjDef.h	2011-05-24 17:36:26.000000000 +0800
+++ 4.0/source/scripts/WarFactoryGameObjDef.h	2011-10-11 21:40:40.850585900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__WARFACTORYGAMEOBJDEF_H
 #define TT_INCLUDE__WARFACTORYGAMEOBJDEF_H
 
diff -uwr source/scripts/WeaponBagClass.h 4.0/source/scripts/WeaponBagClass.h
--- source/scripts/WeaponBagClass.h	2011-08-05 18:41:18.000000000 +0800
+++ 4.0/source/scripts/WeaponBagClass.h	2011-10-11 21:40:38.683593700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_WEAPONBAGCLASS_H
 #define TT_INCLUDE_WEAPONBAGCLASS_H
 #include "ArmedGameObj.h"
diff -uwr source/scripts/WeaponClass.h 4.0/source/scripts/WeaponClass.h
--- source/scripts/WeaponClass.h	2011-08-20 09:50:42.000000000 +0800
+++ 4.0/source/scripts/WeaponClass.h	2011-10-11 21:40:34.213867100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_WEAPONCLASS_H
 #define TT_INCLUDE_WEAPONCLASS_H
 #include "WeaponMgr.h"
diff -uwr source/scripts/WeaponManager.h 4.0/source/scripts/WeaponManager.h
--- source/scripts/WeaponManager.h	2009-11-09 18:47:58.000000000 +0800
+++ 4.0/source/scripts/WeaponManager.h	2011-10-11 21:40:32.000976500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_WEAPONMANAGER_H
 #define TT_INCLUDE_WEAPONMANAGER_H
 
diff -uwr source/scripts/WidgetUserClass.h 4.0/source/scripts/WidgetUserClass.h
--- source/scripts/WidgetUserClass.h	2011-06-05 17:42:40.000000000 +0800
+++ 4.0/source/scripts/WidgetUserClass.h	2011-10-11 21:40:27.836914000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__WIDGETUSERCLASS_H
 #define TT_INCLUDE__WIDGETUSERCLASS_H
 
diff -uwr source/scripts/action.h 4.0/source/scripts/action.h
--- source/scripts/action.h	2010-05-21 09:42:38.000000000 +0800
+++ 4.0/source/scripts/action.h	2011-10-11 21:36:56.596679600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_ACTION_H
 #define TT_INCLUDE_ACTION_H
 #include "scripts.h"
@@ -24,7 +35,7 @@
 	bool				Load( ChunkLoadClass & cload );
 	SmartGameObj *	Get_Action_Obj( void )								{ return ActionObj; }
 	SafeActionParamsStruct &	Get_Parameters( void )				{ return Parameters; }
-	bool				Is_Acting( void );
+	SCRIPTS_API bool				Is_Acting( void );
 	bool				Is_Animating( void );
 	void				Begin_Hibernation( void );
 	void				End_Hibernation( void );
diff -uwr source/scripts/agtfix.cpp 4.0/source/scripts/agtfix.cpp
--- source/scripts/agtfix.cpp	2009-04-12 11:43:46.000000000 +0800
+++ 4.0/source/scripts/agtfix.cpp	2011-10-11 21:37:00.951171800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 #include "scripts.h"
 #include "agtfix.h"
diff -uwr source/scripts/agtfix.h 4.0/source/scripts/agtfix.h
--- source/scripts/agtfix.h	2008-09-21 22:32:52.000000000 +0800
+++ 4.0/source/scripts/agtfix.h	2011-10-14 22:27:32.187500000 +0800
@@ -1,3 +1,15 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
+#pragma once
 class GDI_AGT : public ScriptImpClass {
 	int MissileID;
 	int GunID[4];
diff -uwr source/scripts/anticheat.ini 4.0/source/scripts/anticheat.ini
--- source/scripts/anticheat.ini	2010-11-06 11:40:16.000000000 +0800
+++ 4.0/source/scripts/anticheat.ini	2011-10-09 21:43:06.337890600 +0800
@@ -1,52 +1,50 @@
 [HashList]
-3492622198=C&C_Canyon.mix
-3468286610=C&C_City.mix
-2056652104=C&C_City_Flying.mix
-2077023672=C&C_Complex.mix
-696220441=C&C_Field.mix
-2537500301=C&C_Glacier_Flying.mix
-3151801776=C&C_Hourglass.mix
-921155793=C&C_Islands.mix
-829819001=C&C_Mesa.mix
-1408590284=C&C_Under.mix
-2592698131=C&C_Volcano.mix
-1648266313=C&C_Walls.mix
-1878995336=C&C_Walls_Flying.mix
-1422179237=M00_Tutorial.mix
-2796037991=M01.mix
-4240541720=M02.mix
-3525918012=M03.mix
-2065823666=M04.mix
-3869686791=M05.mix
-1309071960=M06.mix
-643866434=M07.mix
-3168960686=M08.mix
-4277294531=M09.mix
-80382386=M10.mix
-314886349=M11.mix
-4037708342=M13.mix
-2646442064=Skirmish00.mix
-2656855602=always.dbs
-694384650=Always2.dat
-1281686403=always.dat
-2013798185=always.dbs.1
-4075670702=always.dat.1
-383028271=always.dbs.2
-94231923=always.dat.2
-940836226=always.dbs.3
-1831076973=M07.mix.1
-1701917472=always.dat.3
-3320909507=always.dbs.4
-1016342759=Always2.dat.1
-2684472202=always.dat.4
-2831924760=always.dbs.5
-1488206749=M00_Tutorial.mix.1
-59476580=M02.mix.1
-2972595217=M04.mix.1
-217431875=M07.mix.2
-3978166873=M08.mix.1
-814170345=M03.mix.1
-1542264633=M07.mix.3
-778625709=M08.mix.2
-1236987839=hud_sniper.dds
-27267790=stealth_effect.dds
+8307d2031ade3e81cc04c98559c5ebda=C&C_Canyon.mix
+7d4a4669267f8c06a490620d57b1b05d=C&C_City.mix
+82ec9894c889ddfcd5f63689f5a63062=C&C_City_Flying.mix
+57b96de5dfbbe2c2e8c10194053b5fdf=C&C_Complex.mix
+cece311ee36c8a93c88e59e9b9c06d68=C&C_Field.mix
+2f96bcd3ae5d3e16f796fbdbf01b2cca=C&C_Glacier_Flying.mix
+1c43ae65cff6e58866a4c16a5c5ee996=C&C_Hourglass.mix
+c42baa39af0d7b28eb6ebadce5d26201=C&C_Islands.mix
+0a8de512fce0b92d226ee2a5832d346f=C&C_Mesa.mix
+7c79215c600ea81b5e75057418bd464e=C&C_Under.mix
+de9b4d494d4fa335b3c1b05dff11004c=C&C_Volcano.mix
+5b19407c31a6fd489e3276cd56aeaed1=C&C_Walls.mix
+d9f3b518e4a4e7dd4074d5f6ce43c38c=C&C_Walls_Flying.mix
+734741f0d8231262555731df3dc816ab=M00_Tutorial.mix
+14738e4f675fa11d7a5f8396c09d4c22=M01.mix
+2763f0a3ed94f447f625b64dc8908f12=M02.mix
+9fd70379e90d2e0a717123e37cea26fe=M03.mix
+fed0051fe536168d117a2ed082e33317=M04.mix
+d632ea732aab9327fa40ad19d79a3370=M05.mix
+f2d26eac7eb4fb6c7692c08a951c5037=M06.mix
+d58c21f4c903b9aba6aa695ad05f1376=M07.mix
+4864f90cdeb1529e8c5b97f2bb17925a=M08.mix
+87498788409224bc9194deb2b5f85dce=M09.mix
+5e6be9c1647650ca7584aea072471735=M10.mix
+ee082ccd9a0d48dee6ff0079e2b39c0f=M11.mix
+646dff7d0a5eb0b86cb1ae7109cab22d=M13.mix
+2189ee447e6b5956aff849b410af5025=Skirmish00.mix
+c9d5688a97855044300b5668ab67e0bb=always.dbs
+469aff795dbac34fb78025d8fea49026=Always2.dat
+ab312d439efd99480c77fa98a864d197=always.dat
+fbf9a79282c636e685196256943ce025=always.dbs
+1c7f389c011f5b19e2283a776b4d3337=always.dat
+8c8ffe78617b889583df500abe78787e=always.dbs
+437eab78264590753722ec0874829326=always.dat
+77675b6c36311fe458babc17a8d8032b=always.dbs
+eaa5db4ac7303bc12a6419cb452cbd25=M07.mix
+4ccc1a80bb68aa365807447e9a21fc78=always.dat
+2b098ff3ca99c55a57f694664a501053=always.dbs
+b1beafafffd714852b86b02b52f975dd=Always2.dat
+b3b5a7faa502f747d3bc8ff5c63a99cb=M00_Tutorial.mix
+5da07b82073c698031b3bacdf286709c=M02.mix
+ceb5f647bec120fedffc9d9fc70f9ae6=M04.mix
+2a8b9cc519325aad6fe7712c25128296=M07.mix
+f8381784f08831c2ebbe925d5c217e92=M08.mix
+1a0ab97cc19c9e999a37d0eaace238d1=M03.mix
+3f8ac3739c8179b0b5d4983b09d48fe2=M07.mix
+0f43be4f2fecf73539d5b72217d05804=M08.mix
+d36d8b57f2919c12688355179542ed96=hud_sniper.dds
+352af7c3b9673ae59ba5ff430a6c036c=stealth_effect.dds
diff -uwr source/scripts/cAMpaScripts.cpp 4.0/source/scripts/cAMpaScripts.cpp
--- source/scripts/cAMpaScripts.cpp	2010-04-14 10:13:18.000000000 +0800
+++ 4.0/source/scripts/cAMpaScripts.cpp	2011-10-11 23:04:14.081054600 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	scripts by cAMpa
-	Copyright 2010 cAMpa, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/cAMpaScripts.h 4.0/source/scripts/cAMpaScripts.h
--- source/scripts/cAMpaScripts.h	2010-04-14 10:13:24.000000000 +0800
+++ 4.0/source/scripts/cAMpaScripts.h	2011-10-14 22:27:32.107421800 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	scripts by cAMpa
-	Copyright 2010 cAMpa, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 class cAMpa_Warn_Zone_Team : public ScriptImpClass {
 	void Created(GameObject *obj);
 	void Entered(GameObject *obj,GameObject *enterer);
diff -uwr source/scripts/cGameType.cpp 4.0/source/scripts/cGameType.cpp
--- source/scripts/cGameType.cpp	2009-11-09 18:37:34.000000000 +0800
+++ 4.0/source/scripts/cGameType.cpp	2011-10-11 23:04:12.650390600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "cGameType.h"
 
diff -uwr source/scripts/cGameType.h 4.0/source/scripts/cGameType.h
--- source/scripts/cGameType.h	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/cGameType.h	2011-10-11 21:57:14.066406200 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__CGAMETYPE_H
 #define TT_INCLUDE__CGAMETYPE_H
 
diff -uwr source/scripts/cPlayer.h 4.0/source/scripts/cPlayer.h
--- source/scripts/cPlayer.h	2011-09-05 00:01:54.000000000 +0800
+++ 4.0/source/scripts/cPlayer.h	2011-10-11 21:56:41.257812500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_CPLAYER_H
 #define TT_INCLUDE_CPLAYER_H
 #include "PlayerDataClass.h"
@@ -35,7 +46,7 @@
 	void Export_Rare(BitStreamClass &BitStream);
 	void Export_Occasional(BitStreamClass &BitStream);
 	void Delete();
-	void Set_Player_Type(int type);
+	void SCRIPTS_API Set_Player_Type(int type);
 	void Set_Ladder_Points(int amount);
 	void Set_Rung(int amount);
 	void Set_Is_Active(bool active);
diff -uwr source/scripts/coltest.cpp 4.0/source/scripts/coltest.cpp
--- source/scripts/coltest.cpp	2009-11-09 18:47:32.000000000 +0800
+++ 4.0/source/scripts/coltest.cpp	2011-10-11 23:04:09.494140600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "coltest.h"
 
diff -uwr source/scripts/coltest.h 4.0/source/scripts/coltest.h
--- source/scripts/coltest.h	2011-03-15 13:53:18.000000000 +0800
+++ 4.0/source/scripts/coltest.h	2011-10-11 21:57:04.945312500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_COLTEST_H
 #define TT_INCLUDE_COLTEST_H
 #include "coltype.h"
diff -uwr source/scripts/coltype.h 4.0/source/scripts/coltype.h
--- source/scripts/coltype.h	2010-03-13 11:04:34.000000000 +0800
+++ 4.0/source/scripts/coltype.h	2011-10-11 21:57:02.504882800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_COLTYPE_H
 #define TT_INCLUDE_COLTYPE_H
 enum
diff -uwr source/scripts/dan.cpp 4.0/source/scripts/dan.cpp
--- source/scripts/dan.cpp	2010-04-14 10:13:18.000000000 +0800
+++ 4.0/source/scripts/dan.cpp	2011-10-11 23:04:01.819335900 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by Daniel King
-	Copyright 2010 Daniel King, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/dan.h 4.0/source/scripts/dan.h
--- source/scripts/dan.h	2010-04-14 10:13:24.000000000 +0800
+++ 4.0/source/scripts/dan.h	2011-10-14 22:27:32.120117100 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by Daniel King
-	Copyright 2010 Daniel King, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 class DAN_CnC_Crate : public ScriptImpClass {
 	void Created(GameObject *obj);
 	void Custom(GameObject *obj,int type,int param,GameObject *sender);
diff -uwr source/scripts/datasafe.cpp 4.0/source/scripts/datasafe.cpp
--- source/scripts/datasafe.cpp	2011-09-01 19:50:22.000000000 +0800
+++ 4.0/source/scripts/datasafe.cpp	2011-10-13 01:39:18.443359300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "DataSafe.h"
 #include "Random2Class.h"
diff -uwr source/scripts/datasafe.h 4.0/source/scripts/datasafe.h
--- source/scripts/datasafe.h	2011-09-01 19:57:54.000000000 +0800
+++ 4.0/source/scripts/datasafe.h	2011-10-13 01:39:18.446289000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_DATASAFE_H
 #define TT_INCLUDE_DATASAFE_H
 #include "SysTimeClass.h"
diff -uwr source/scripts/definition.cpp 4.0/source/scripts/definition.cpp
--- source/scripts/definition.cpp	2009-11-09 18:37:38.000000000 +0800
+++ 4.0/source/scripts/definition.cpp	2011-10-11 23:03:55.115234300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "Definition.h"
 #include "DefinitionMgrClass.h"
diff -uwr source/scripts/dllmain.cpp 4.0/source/scripts/dllmain.cpp
--- source/scripts/dllmain.cpp	2011-09-03 08:29:46.000000000 +0800
+++ 4.0/source/scripts/dllmain.cpp	2011-10-11 23:03:47.651367100 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Main loading code
-	Copyright 2010 Datalore, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
